package io.gitlab.jfronny.translater;

import io.gitlab.jfronny.libjf.config.api.Entry;
import io.gitlab.jfronny.libjf.config.api.JfConfig;
import io.gitlab.jfronny.libjf.translate.impl.google.Language;

public class Cfg implements JfConfig {
    @Entry
    public static int rounds = 5;
    @Entry
    public static boolean breakFully = false;
    @Entry
    public static String targetLanguage = Language.ENGLISH.id;
    @Entry
    public static ProgressMode renderProgress = ProgressMode.None;
    @Entry
    public static boolean forceRegenerate = false;

    public enum ProgressMode {
        Full,
        Gui,
        Console,
        None
    }
}
